Package org.apache.sling.query.impl.iterator

## Class AdaptToIterator<F,​T>

- java.lang.Object
- - org.apache.sling.query.impl.iterator.AdaptToIterator<F,​T>

All Implemented Interfaces:
  `Iterator<T>`

    public class AdaptToIterator<F,​T>
    extends Object
    implements Iterator<T>

### Constructor Summary

Constructors
`AdaptToIterator​(Iterator<F> iterator, Class<? extends T> clazz)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getCurrentModel()`
`boolean` `hasNext()`
`T` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### AdaptToIterator

    public AdaptToIterator​(Iterator<F> iterator,
                           Class<? extends T> clazz)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<F>`

#### next

    public T next()

Specified by:
  `next` in interface `Iterator<F>`

#### getCurrentModel

    public void getCurrentModel()

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<F>`